package test

import (
	"git.hilo.cn/hilo-common/domain"
	"hilo-group/domain/cache/group_c"
	"hilo-group/domain/model/user_m"
	"testing"
)

func TestGetUserMap(t *testing.T) {
	var userIds []uint64
	for i := 0; i < 10502; i++ {
		userIds = append(userIds, 7642)
	}
	res, err := user_m.GetUserMapByIds(domain.CreateModelNil(), userIds)
	t.Logf("%v-%v", res, err)
}

func TestGetUserVipMap(t *testing.T) {
	var userIds []uint64
	for i := 0; i < 10502; i++ {
		userIds = append(userIds, 7642)
	}
	res, err := user_m.BatchGetVips(userIds)
	t.Logf("%v-%v", res, err)
}

func TestRemoveRoomVisit(t *testing.T) {
	group_c.RemoveRoomVisitors(domain.CreateModelNil(), "HTGS#a47478749")
}
